-- ============================================================
--   Database name:  HISCATALOG                                
--   DBMS name:      INFORMIX SQL 5.0, 6.0                     
--   Created on:     10/4/99  12:05 AM                         
-- ============================================================

-- HIS version 2.0 has three additional tables

-- ============================================================
--   Table: OM_DESCRIPTIONS                                    
-- ============================================================
create table OM_DESCRIPTIONS
(
    MODEL_ID            INTEGER                not null,
    DIMENSION_ID        INTEGER                not null,
    VIEW_ID             INTEGER                not null,
    ATTRIBUTE_ID        INTEGER                not null,
    MODEL_BLOCK_ID      INTEGER                not null,
    DESCRIPTION         VARCHAR(255)                   ,
    primary key (MODEL_ID, DIMENSION_ID, VIEW_ID, ATTRIBUTE_ID, MODEL_BLOCK_ID) constraint PK_OM_DESCRIPTIONS
);

-- ============================================================
--   Table: MOD_ATTRIBUTES                                     
-- ============================================================
create table MOD_ATTRIBUTES
(
    MO_ID               INTEGER                not null,
    MOD_ID              INTEGER                not null,
    MOD_ATTRIBUTE_ID    INTEGER                not null,
    MOD_ATTR_DATATYPE   INTEGER                not null,
    MOD_ATTR_ALIAS      VARCHAR(80)                    ,
    MOD_ATTR_TXR        VARCHAR(255)                   ,
    primary key (MO_ID, MOD_ATTRIBUTE_ID) constraint PK_MOD_ATTRIBUTES
);

-- ============================================================
--   Table: MO_DESCRIPTIONS                                    
-- ============================================================
create table MO_DESCRIPTIONS
(
    MO_ID               INTEGER                not null,
    FLT_ID              INTEGER                not null,
    MOD_ID              INTEGER                not null,
    MS_ID               INTEGER                not null,
    DESCRIPTIONS        VARCHAR(255)                   ,
    primary key (MO_ID, FLT_ID, MOD_ID, MS_ID) constraint PK_MO_DESCRIPTIONS
);

