/* ============================================================ */
/*   Database name:  HISCATALOG                                 */
/*   DBMS name:      Microsoft SQL Server 6.x                   */
/*   Created on:     9/29/99  3:51 PM                           */
/* ============================================================ */

/* HIS version 2.0 has three additional tables 			*/

/* ============================================================ */
/*   Table: OM_DESCRIPTIONS                                     */
/* ============================================================ */
create table OM_DESCRIPTIONS
(
    MODEL_ID            integer               not null,
    DIMENSION_ID        integer               not null,
    VIEW_ID             integer               not null,
    ATTRIBUTE_ID        integer               not null,
    MODEL_BLOCK_ID      integer               not null,
    DESCRIPTION         varchar(255)          null    ,
    constraint PK_OM_DESCRIPTIONS primary key (MODEL_ID, DIMENSION_ID, VIEW_ID, ATTRIBUTE_ID, MODEL_BLOCK_ID)
)
go

/* ============================================================ */
/*   Table: MOD_ATTRIBUTES                                      */
/* ============================================================ */
create table MOD_ATTRIBUTES
(
    MO_ID               integer               not null,
    MOD_ID              integer               not null,
    MOD_ATTRIBUTE_ID    integer               not null,
    MOD_ATTR_DATATYPE   integer               not null,
    MOD_ATTR_ALIAS      varchar(80)           null    ,
    MOD_ATTR_TXR        varchar(255)          null    ,
    constraint PK_MOD_ATTRIBUTES primary key (MO_ID, MOD_ATTRIBUTE_ID)
)
go

/* ============================================================ */
/*   Table: MO_DESCRIPTIONS                                     */
/* ============================================================ */
create table MO_DESCRIPTIONS
(
    MO_ID               integer               not null,
    FLT_ID              integer               not null,
    MOD_ID              integer               not null,
    MS_ID               integer               not null,
    DESCRIPTIONS        varchar(255)          null    ,
    constraint PK_MO_DESCRIPTIONS primary key (MO_ID, FLT_ID, MOD_ID, MS_ID)
)
go

