/* ============================================================ */
/*   Database name:  HISCATALOG                                 */
/*   DBMS name:      Sybase SQL Server 10                       */
/*   Created on:     9/29/99  3:58 PM                           */
/* ============================================================ */

/* HIS version 2.0 has three additional tables			*/

/* ============================================================ */
/*   Table: OM_DESCRIPTIONS                                     */
/* ============================================================ */
create table OM_DESCRIPTIONS
(
    MODEL_ID            int                    not null,
    DIMENSION_ID        int                    not null,
    VIEW_ID             int                    not null,
    ATTRIBUTE_ID        int                    not null,
    MODEL_BLOCK_ID      int                    not null,
    DESCRIPTION         varchar(255)           null    ,
    constraint PK_OM_DESCRIPTIONS primary key (MODEL_ID, DIMENSION_ID, VIEW_ID, ATTRIBUTE_ID, MODEL_BLOCK_ID)
)
go

/* ============================================================ */
/*   Table: MOD_ATTRIBUTES                                      */
/* ============================================================ */
create table MOD_ATTRIBUTES
(
    MO_ID               int                    not null,
    MOD_ID              int                    not null,
    MOD_ATTRIBUTE_ID    int                    not null,
    MOD_ATTR_DATATYPE   int                    not null,
    MOD_ATTR_ALIAS      varchar(80)            null    ,
    MOD_ATTR_TXR        varchar(255)           null    ,
    constraint PK_MOD_ATTRIBUTES primary key (MO_ID, MOD_ATTRIBUTE_ID)
)
go

/* ============================================================ */
/*   Table: MO_DESCRIPTIONS                                     */
/* ============================================================ */
create table MO_DESCRIPTIONS
(
    MO_ID               int                    not null,
    FLT_ID              int                    not null,
    MOD_ID              int                    not null,
    MS_ID               int                    not null,
    DESCRIPTIONS        varchar(255)           null    ,
    constraint PK_MO_DESCRIPTIONS primary key (MO_ID, FLT_ID, MOD_ID, MS_ID)
)
go

