-- ============================================================
--   Database name:  HISCATALOG                                
--   DBMS name:      ORACLE Version 7.x                        
--   Created on:     9/29/99  3:56 PM                          
-- ============================================================

-- HIS version 2.0 has three additional tables

-- ============================================================
--   Table: OM_DESCRIPTIONS                                    
-- ============================================================
create table OM_DESCRIPTIONS
(
    MODEL_ID            INTEGER                not null,
    DIMENSION_ID        INTEGER                not null,
    VIEW_ID             INTEGER                not null,
    ATTRIBUTE_ID        INTEGER                not null,
    MODEL_BLOCK_ID      INTEGER                not null,
    DESCRIPTION         VARCHAR2(255)          null    ,
    constraint PK_OM_DESCRIPTIONS primary key (MODEL_ID, DIMENSION_ID, VIEW_ID, ATTRIBUTE_ID, MODEL_BLOCK_ID)
)
/

-- ============================================================
--   Table: MOD_ATTRIBUTES                                     
-- ============================================================
create table MOD_ATTRIBUTES
(
    MO_ID               INTEGER                not null,
    MOD_ID              INTEGER                not null,
    MOD_ATTRIBUTE_ID    INTEGER                not null,
    MOD_ATTR_DATATYPE   INTEGER                not null,
    MOD_ATTR_ALIAS      VARCHAR2(80)           null    ,
    MOD_ATTR_TXR        VARCHAR2(255)          null    ,
    constraint PK_MOD_ATTRIBUTES primary key (MO_ID, MOD_ATTRIBUTE_ID)
)
/

-- ============================================================
--   Table: MO_DESCRIPTIONS                                    
-- ============================================================
create table MO_DESCRIPTIONS
(
    MO_ID               INTEGER                not null,
    FLT_ID              INTEGER                not null,
    MOD_ID              INTEGER                not null,
    MS_ID               INTEGER                not null,
    DESCRIPTIONS        VARCHAR2(255)          null    ,
    constraint PK_MO_DESCRIPTIONS primary key (MO_ID, FLT_ID, MOD_ID, MS_ID)
)
/

